# This is a template for a config for complexContagion runs
# The "CONTAGION PARAMETERS" and "VACCINATION" have been set with default wildtype variant values
# All other parameters have been given dummy values and need to be set
#### INITIALISATION #### (NEEDS TO BE SET)
graph: "/absolute/path/to/network"
num_runs: 0
run_options:
  tmax: 0
  full_return: True/False
  dump_internals: True/False
  restart_from: "/absolute/path/to/restart/pkl"
  output_dir: "/absolute/path/to/output_directory"
  max_cases: 0
  print_params: True/False
node_attribute_options:
  ev_relabel: True/False
  ev_close: 0.0
  size_reject: 0
initial_conditions:
  random: True/False
  num_seeds: 0
  TA: 00
parameters:
  reseed:
    - time: 0
      num_seeds: 0
      max_attempts: 0
      random: True/False
      whole_groups: True/False
      TA: 00
      only_if: 
        - XX
########################
# CONTAGION PARAMETERS # (PRESET)
  beta_0: 
    - 0.1
    - 0.1
    - 0.1
    - 0.1
  beta_c: 
    - 1.0
    - 1.0
    - 1.0
    - 1.0
  beta_h:
    - 0.0
    - 0.0
    - 0.0
    - 0.0
  beta_weights:
    - 0.5
    - 1.0
    - 1.0
    - 1.0
  density: 1.0
  density_groups: []
  eps_a: 0.85
  eps_b: 0.85
  eps_m: 0.85
  eps_p: 0.85
  eps_h: 0
  eps_c: 0
  # !include is relative to the location of the config file, not the running dir
  p_asympt_list: !include parameters_by_TA/p_asympt.csv'
  p_mild_list: !include parameters_by_TA/p_mild.csv'
  gamma:
    scale: 0.9
    shape: 4.1
  delta_bm: 0.85
  delta_pi: 0.85
  delta_ih: !+ 1/5
  delta_hc: !+ 1/2
  alpha_ar: 0.3
  alpha_mr: !+ 1/10
  alpha_md: !+ 1/9
  alpha_ir: 0.3
  alpha_id: !+ 1/9
  alpha_hr: !+ 5/24
  alpha_cr: !+ 1/18
  alpha_cd: !+ 1/9
  mu_m: 0
  mu_i: 0
  mu_c_list: !include parameters_by_TA/mu_c.csv
  eta_h_list: !include parameters_by_TA/eta_h.csv
  eta_c_list: !include parameters_by_TA/eta_c.csv
  group_type_weights:
    HOME: 1
    WORK: 2
    COMM: 1.33
  omega: 
    policy: home
    C: 0.01
    Q: 0.05
    W: 0.05
    D: 0.5 
  transmission_event_parameters:
    exponent: 0.2
    sigma: 0.1
    alpha: 1.1
    beta: 8.5
########################
##### VACCINATION ###### (NEEDS TO BE SET TO DYNAMIC EQUIVALENTS)  
  vaccination:
    p_vaccinated:
      auto: True
      label: vaccine_status
      vaccine_status:
        default: 0
        0: 0
        1: 1
        2: 1
    1:
      txn_weight: # p(I_v -> S)
        - 0.5
        - 0.5
        - 0.5
        - 0.5
      rcv_weight: # p(I -> S_v)
        - 0.07
        - 0.07
        - 0.07
        - 0.07
      p_asympt:
        # multiplier for p(_symptomatic_)
        - 0.4
        - 0.4
        - 0.4
        - 0.4
      p_mild:
        - 1.0
        - 1.0
        - 1.0
        - 1.0
      testing:
        p_test_0: 1.0 # never seek anyway
        p_test_m: 1.0
        p_test_i: 1.0
        theta_0: 1.0
        theta_m: 1.0
        theta_i: 1.0
      hospitalisation:
        eta_h:
          age:
            default: 1
          baseline: 0.6
        eta_c:
          age:
            default: 1
          baseline: 1
      mortality:
        mu_m: 1
        mu_i: 1
        mu_c:
          age:
            default: 1
          baseline: 1
    2:
      txn_weight: # p(I_v -> S)
        - 0.5
        - 0.5
        - 0.5
        - 0.5
      rcv_weight: # p(I -> S_v)
        - 0.07
        - 0.07
        - 0.07
        - 0.07
      p_asympt:
        # multiplier for p(_symptomatic_)
        - 0.4
        - 0.4
        - 0.4
        - 0.4
      p_mild:
        - 1.0
        - 1.0
        - 1.0
        - 1.0
      testing:
        p_test_0: 1 # never seek anyway
        p_test_m: 1
        p_test_i: 1
        theta_0: 1
        theta_m: 1
        theta_i: 1
      hospitalisation:
        eta_h:
          age:
            default: 1
          baseline: 0.5
        eta_c:
          age:
            default: 1
          baseline: 1
      mortality:
        mu_m: 1
        mu_i: 1
        mu_c:
          age:
            default: 1
          baseline: 1
########################
####### TESTING ######## (NEEDS TO BE SET)  
  p_test_0: 0.0
  p_test_m: 0.0
  p_test_i:
    - 0.0
    - 0.0
    - 0.0
    - 0.0
  theta_0: 0.0
  theta_m: 0.0
  theta_i: 0.0
  theta_lab: 0.0
  quarantine:
    p_test_0: 0.0
    p_test_m: 0.0
    p_test_i:
      - 0.0
      - 0.0
      - 0.0
      - 0.0
    theta_0: 0.0
    theta_m: 0.0
    theta_i: 0.0
  test_also_iso:
    - HOME/WORK/COMM
  casual_test_prob:
    default: 0.0
    dw: 0.0
    dz: 0.0
    we: 0.0
    wp: 0.0
    wz: 0.0
    sc: 0.0
    sz: 0.0
    pm: 0.0
    pz: 0.0
    ev: 0.0
  casual_test_delay:
    core:
      alpha: 0.0
      beta: 0.0
    scale: 0.0
    loc: 0.0
########################
## TRACING/ISOLATING ### (NEEDS TO BE SET)
  kappa_0:
    scale: 0.0
    shape: 0.0
  kappa_c: 0.0
  trace_weights:
    HOME: 
      close: 0.0
      casual: 0.0
    WORK:
      close: 0.0
      casual: 0.0
    COMM:
      close: 0.0
      casual: 0.0
  notrace:
    dw: 0.0
    dg: 0.0
    dz: 0.0
    we: 0.0
    wp: 0.0
    wg: 0.0
    wz: 0.0
    sc: 0.0
    sg: 0.0
    sz: 0.0
    pm: 0.0
    pg: 0.0
    pz: 0.0
    ev: 0.0
    ex: 0.0
  trace_drop:
    dw: 0.0
    dg: 0.0
    dz: 0.0
    we: 0.0
    wp: 0.0
    wg: 0.0
    wz: 0.0
    sc: 0.0
    sg: 0.0
    sz: 0.0
    pm: 0.0
    pg: 0.0
    pz: 0.0
    ev: 0.0
    ex: 0.0
  max_trace_attempts: 0
  escape_time:
    default: 0
    0: 0
    1: 0
    2: 0
########################
#### CLOSE CONTACTS #### (NEEDS TO BE SET)  
  close_contact_weights:
    HOME: 0.0
    WORK: 0.0
    COMM: 0.0
########################
#### INTERVENTIONS ##### (NEEDS TO BE SET)
  adaptive_lockdown:
    - name: choose_name
      ncumul: 0
      delay: 0
      level: default_lockdown
      exhausted: True/False
  lockdown_weights:
    default_lockdown:
      dw: 0.0
      dg: 0.0
      dz: 0.0
      sc: 0.0
      sg: 0.0
      sz: 0.0
      pm: 0.0
      pg: 0.0
      pz: 0.0
      we: 0.0
      wp: 0.0
      wg: 0.0
      wz: 0.0
      ev: 0.0
      ex: 0.0
  lockdown_testing:
    default_lockdown:
      p_test_0: 0.0
      p_test_m: 0.0
      p_test_i: 
        - 0.0
        - 0.0
        - 0.0
        - 0.0      
      theta_0: 0.0
      theta_m: 0.0
      theta_i: 0.0
      theta_lab: 0.0
  lockdown_shutdown:
    _by_map_:
      OPEN: '00'
      CLOSED: '0X'
    default_lockdown:
      dw: 0.0
      dg: 0.0
      dz: 0.0
      sc: 0.0
      sg: 0.0
      sz: 0.0
      pm: 0.0
      pg: 0.0
      pz: 0.0
      we: 0.0
      wp: 0.0
      wg: 0.0
      wz: 0.0
      ev: 0.0
      ex: 0.0
  lockdown_state: 0
  group_size_reject: 
    default: 0
    default_lockdown: 0
  trace_policy:
    default:
      close: trace/test/skip
      casual: trace/test/skip
      EV: trace/test/skip
    default_lockdown:
      close: trace/test/skip
      casual: trace/test/skip
      EV: trace/test/skip